io.etcd.jetcd.api

## Class KVGrpc

- java.lang.Object
- - io.etcd.jetcd.api.KVGrpc

    @Generated(value="by gRPC proto compiler (version 1.27.1)",
               comments="Source: rpc.proto")
    public final class KVGrpc
    extends Object

### Nested Class Summary

Nested Classes
`static class` `KVGrpc.KVBlockingStub`
`static class` `KVGrpc.KVFutureStub`
`static class` `KVGrpc.KVImplBase`
`static class` `KVGrpc.KVStub`

### Field Summary

Fields
`static String` `SERVICE_NAME`

### Method Summary

All Methods Static Methods Concrete Methods
`static io.grpc.MethodDescriptor<CompactionRequest,CompactionResponse>` `getCompactMethod()`
`static io.grpc.MethodDescriptor<DeleteRangeRequest,DeleteRangeResponse>` `getDeleteRangeMethod()`
`static io.grpc.MethodDescriptor<PutRequest,PutResponse>` `getPutMethod()`
`static io.grpc.MethodDescriptor<RangeRequest,RangeResponse>` `getRangeMethod()`
`static io.grpc.ServiceDescriptor` `getServiceDescriptor()`
`static io.grpc.MethodDescriptor<TxnRequest,TxnResponse>` `getTxnMethod()`
`static KVGrpc.KVBlockingStub` `newBlockingStub(io.grpc.Channel channel)` Creates a new blocking-style stub that supports unary and streaming output calls on the service
`static KVGrpc.KVFutureStub` `newFutureStub(io.grpc.Channel channel)` Creates a new ListenableFuture-style stub that supports unary calls on the service
`static KVGrpc.KVStub` `newStub(io.grpc.Channel channel)` Creates a new async stub that supports all call types for the service

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SERVICE_NAME

    public static final String SERVICE_NAME

See Also:
  Constant Field Values

### Method Detail

#### getRangeMethod

    public static io.grpc.MethodDescriptor<RangeRequest,RangeResponse> getRangeMethod()

#### getPutMethod

    public static io.grpc.MethodDescriptor<PutRequest,PutResponse> getPutMethod()

#### getDeleteRangeMethod

    public static io.grpc.MethodDescriptor<DeleteRangeRequest,DeleteRangeResponse> getDeleteRangeMethod()

#### getTxnMethod

    public static io.grpc.MethodDescriptor<TxnRequest,TxnResponse> getTxnMethod()

#### getCompactMethod

    public static io.grpc.MethodDescriptor<CompactionRequest,CompactionResponse> getCompactMethod()

#### newStub

    public static KVGrpc.KVStub newStub(io.grpc.Channel channel)

Creates a new async stub that supports all call types for the service

#### newBlockingStub

    public static KVGrpc.KVBlockingStub newBlockingStub(io.grpc.Channel channel)

Creates a new blocking-style stub that supports unary and streaming output calls on the service

#### newFutureStub

    public static KVGrpc.KVFutureStub newFutureStub(io.grpc.Channel channel)

Creates a new ListenableFuture-style stub that supports unary calls on the service

#### getServiceDescriptor

    public static io.grpc.ServiceDescriptor getServiceDescriptor()